package MpmasLivestockObject;
use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasQLModelElementAbstract;
use CtUtilities qw(is_in_list);

our @ISA = qw(MpmasQLModelElementAbstract);

##class variables

sub defaultclass {
	"livestock"
}
sub list_of_default_fields { 
	my @array = qw( );
	return \@array;
}
sub list_of_attribute_fields{
	my @array = qw(othermilp othermilp_subelements name dyninfo lifetime obj thiscomp oid acqcost purchase_age salesactivity_meat act s0act s0con sex);
	return \@array;
}
sub list_of_attribute_stubs {
	my @array = qw();
	return \@array;
}
#instance methods
sub obj {
	my $self = shift;
	return $self->{obj};
}
sub acqcost {
	my $self = shift;
	return $self->{acqcost};
}
sub lifetime {
	my $self = shift;
	return $self->{lifetime};
}

sub oid {
	my $self = shift;
	return 	$self->{oid};
}
sub set_oid {
      my $self = shift;
      my $oid = shift;
      $self->{oid} = $oid;
}

1;
